import sys
sys.path.append("wrappers/")
from modelverse import *

init()
login("admin", "admin")

model_add("formalisms/String", "formalisms/SimpleClassDiagrams", open("models/String.mvc", 'r').read())
transformation_add_AL({}, {}, "models/test", open("models/test.alc", 'r').read())
transformation_add_AL({"AL": "formalisms/ActionLanguage"}, {"String": "formalisms/String"}, "models/AL_to_Py", open("models/AL_to_py.alc", 'r').read())
#print("VERIFY")
#print(verify("models/AL_to_Py", "formalisms/ActionLanguage"))
#print("VERIFY END")
#print("VERIFY2")
#print(verify("models/test", "formalisms/ActionLanguage"))
#print("VERIFY2 END")
transformation_execute_AL("models/AL_to_Py", {"AL": "models/test"}, {"String": "models/printed_string"})
